Reset a Digital Link
Reset a Digital Link
Resets a digital link, allowing further downloads.
PATCH
Reset a Digital Link
Documentation Index
Fetch the complete documentation index at: /docs/llms.txt
Use this file to discover all available pages before exploring further.
const options = {method: 'PATCH', headers: {Authorization: 'Bearer <token>'}};
fetch('http://{defaultHost}/api/v2/platform/digital_links/{id}/reset', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PATCH \
--url http://{defaultHost}/api/v2/platform/digital_links/{id}/reset \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "13",
"type": "digital_link",
"attributes": {
"token": "NBDYF1WRkrnFJewp4PqjATdQ",
"access_counter": 0
},
"relationships": {
"digital": {
"data": {
"id": "13",
"type": "digital"
}
},
"line_item": {
"data": {
"id": "21",
"type": "line_item"
}
}
}
}
}{
"error": "The access token is invalid"
}{
"error": "The resource you were looking for could not be found."
}Resets a digital link, allowing further downloads.
const options = {method: 'PATCH', headers: {Authorization: 'Bearer <token>'}};
fetch('http://{defaultHost}/api/v2/platform/digital_links/{id}/reset', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PATCH \
--url http://{defaultHost}/api/v2/platform/digital_links/{id}/reset \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "13",
"type": "digital_link",
"attributes": {
"token": "NBDYF1WRkrnFJewp4PqjATdQ",
"access_counter": 0
},
"relationships": {
"digital": {
"data": {
"id": "13",
"type": "digital"
}
},
"line_item": {
"data": {
"id": "21",
"type": "line_item"
}
}
}
}
}{
"error": "The access token is invalid"
}{
"error": "The resource you were looking for could not be found."
}Was this page helpful?
